/*  : 140000 - 140000.     02.03.2021 15:23:51. */
SET TERM !! ;

CREATE PROCEDURE ENUMVALUES_IMPORT(ENUMNAME VARCHAR(255),NAME VARCHAR(1024),VAL INTEGER) AS
  DECLARE VARIABLE IDENUM INTEGER;
  DECLARE VARIABLE IDEXISTS INTEGER;
BEGIN
  SELECT ID FROM ENUMS WHERE NAME = :ENUMNAME INTO :IDENUM;
  IF (:IDENUM IS NOT NULL) THEN
  BEGIN
    SELECT COUNT(ID) FROM ENUMVALUES WHERE ENUMREF = :IDENUM AND VAL = :VAL INTO :IDEXISTS;
    IF (:IDEXISTS > 1) THEN
      DELETE FROM ENUMVALUES EV1
      WHERE (EV1.ENUMREF = :IDENUM) AND (EV1.VAL = :VAL) AND
        (EV1.ID > (SELECT MIN(EV2.ID) FROM ENUMVALUES EV2 WHERE EV2.ENUMREF = :IDENUM AND EV2.VAL = :VAL));
    IF (:IDEXISTS > 0) THEN
      UPDATE ENUMVALUES SET
        NAME = :NAME
      WHERE ENUMREF = :IDENUM AND VAL = :VAL;
    ELSE
      INSERT INTO ENUMVALUES
        (VAL,NAME,ENUMREF)  
      VALUES
        (:VAL,:NAME,:IDENUM);
  END  
END
!!

/*  */
EXECUTE PROCEDURE ENUMVALUES_IMPORT('','',6) !!
EXECUTE PROCEDURE ENUMVALUES_IMPORT('','',7) !!

COMMIT WORK !!

DROP PROCEDURE ENUMVALUES_IMPORT !!



/*       */
INSERT INTO DFUCHANGELOG (VersionID, BEGINUPDATECODE, ENDUPDATECODE, LASTUPDATEDFU, ISBUDGET, INCLUDEDEL, INCLUDEBLOCKS, INCLUDEDOCS, SCRIPTCREATOR, SCRIPTCREATEDATE, NOTE) VALUES (3472, 140000, 140000, '02.03.2021 15:23:51', 2, 1, '', '00.00', 'ZAITSEV2/zaitsev', '02.03.2021 15:25:28', '') !!


COMMIT WORK!!

SET TERM ; !!
